Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.dropboxmq.messageproducers
Class QueueSenderImpl

    java.lang.Object
      net.sf.dropboxmq.messageproducers.MessageProducerImpl
          net.sf.dropboxmq.messageproducers.QueueSenderImpl

All Implemented Interfaces:
  MessageProducer, QueueSender

    public class QueueSenderImpl

extends MessageProducerImpl
implements QueueSender

Created: 09 Oct 2005

Version:
  $Revision: 211 $, $Date: 2010-11-14 14:21:24 -0700 (Sun, 14 Nov 2010) $
Author:
  Dwayne Schultz

Constructor Summary
`QueueSenderImpl(SessionImpl session, Destination defaultDestination)`

Method Summary
`Queue` | `getQueue()` Gets the queue associated with this `QueueSender`.
`void` | `send(Queue queue, Message message)` Sends a message to a queue for an unidentified message producer.
`void` | `send(Queue queue, Message message, int deliveryMode, int priority, long timeToLive)` Sends a message to a queue for an unidentified message producer, specifying delivery mode, priority and time to live.

Methods inherited from class net.sf.dropboxmq.messageproducers.MessageProducerImpl
`close, getDeliveryMode, getDeliveryModeString, getDestination, getDisableMessageID, getDisableMessageTimestamp, getPriority, getTimeToLive, send, send, send, send, setDeliveryMode, setDisableMessageID, setDisableMessageTimestamp, setPriority, setTimeToLive, toObjectString, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface javax.jms.QueueSender
`send, send`

Methods inherited from interface javax.jms.MessageProducer
`close, getDeliveryMode, getDestination, getDisableMessageID, getDisableMessageTimestamp, getPriority, getTimeToLive, send, send, setDeliveryMode, setDisableMessageID, setDisableMessageTimestamp, setPriority, setTimeToLive`

Constructor Detail

### QueueSenderImpl

    public QueueSenderImpl(SessionImpl session,
                           Destination defaultDestination)

Method Detail

### getQueue

    public Queue getQueue()
                   throws JMSException

  Description copied from interface: `javax.jms.QueueSender`
  Gets the queue associated with this `QueueSender`.

  Specified by:
    `getQueue` in interface `QueueSender`
  Returns:
    this sender's queue
  Throws:
    `JMSException` - if the JMS provider fails to get the queue for this `QueueSender` due to some internal error.

### send

    public void send(Queue queue,
                     Message message)
              throws JMSException

  Description copied from interface: `javax.jms.QueueSender`
  Sends a message to a queue for an unidentified message producer. Uses the `QueueSender`'s default delivery mode, priority, and time to live.

  Typically, a message producer is assigned a queue at creation time; however, the JMS API also supports unidentified message producers, which require that the queue be supplied every time a message is sent.

  Specified by:
    `send` in interface `QueueSender`
  Parameters:
    `queue` - the queue to send this message to
    `message` - the message to send
  Throws:
    `JMSException` - if the JMS provider fails to send the message due to some internal error.
    `MessageFormatException` - if an invalid message is specified.
  See Also:
    `MessageProducer.getDeliveryMode()`, `MessageProducer.getTimeToLive()`, `MessageProducer.getPriority()`

### send

    public void send(Queue queue,
                     Message message,
                     int deliveryMode,
                     int priority,
                     long timeToLive)
              throws JMSException

  Description copied from interface: `javax.jms.QueueSender`
  Sends a message to a queue for an unidentified message producer, specifying delivery mode, priority and time to live.

  Typically, a message producer is assigned a queue at creation time; however, the JMS API also supports unidentified message producers, which require that the queue be supplied every time a message is sent.

  Specified by:
    `send` in interface `QueueSender`
  Parameters:
    `queue` - the queue to send this message to
    `message` - the message to send
    `deliveryMode` - the delivery mode to use
    `priority` - the priority for this message
    `timeToLive` - the message's lifetime (in milliseconds)
  Throws:
    `JMSException` - if the JMS provider fails to send the message due to some internal error.
    `MessageFormatException` - if an invalid message is specified.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD